alchemy_requestFeePayer
POST
/{apiKey}
Requests fee and rent sponsorship for a Solana transaction and returns the fully-signed serializedTransaction (now containing the fee-payer signature).
We support rent sponsorship for createAccount and createAssociatedTokenAccount programs. If you need support for sponsoring rent in custom programs, please contact us at [email protected].
Path Parameters
stringrequireddefaults to
docs-demoFor higher throughput, create your own API key
Request
string or string[]required
The Gas Manager Policy ID or list of Gas Manager Policy IDs.
string
format: "^[A-Za-z0-9+/]+={0,2}$"requiredThe unsigned transaction produced by tx.serialize().
It may already contain a feePayer; the service will overwrite it
with the sponsoring account and add the fee-payer signature.
Responses
200
Object containing the **fully-signed** transaction ready for `sendRawTransaction`.
Was this page helpful?